2

I'm trying to use mdframed package. I had a problem running the file Makefile on ubuntu but I found and installed the md-frame-0-1-2-3.mdf files from another pc along with the .cls file

my code is

\documentclass{book}

\usepackage{mdframed}    

\begin{document}
    hello
\end{document}

and I got this error file

any help would be welcomed.

  • 2
    As Herbert says, your TeX distribution can't support the most recent version of mdframed that requires other packages to be more recent than you have. A TeX Live 2009 is really outdated. – egreg Dec 20 '13 at 16:51
  • @egreg: Can a TeXLive distribution be updated or someone has to reinstall it from scratch? – Thanos Dec 21 '13 at 8:38
  • @Thanos Go to tug.org/texlive if you have a GNU/Linux box. – egreg Dec 21 '13 at 10:34
  • @egreg: Due to the merge of the top-level texmf/ tree into texmf-dist, no upgrade procedure is viable in 2013, for either Unix or Windows. Please do a new install. So I assume one has to reinstall it from scratch... – Thanos Dec 21 '13 at 10:47
  • 1
    @Thanos The ‘vanilla’ TeX Live should never be upgraded. One does a new install and, when everything seems to work, the old release can be removed. You find several topics on this site regarding how to deal with a ‘vanilla’ TeX Live on GNU/Linux. – egreg Dec 21 '13 at 10:50
1

I have no problem with current TeXLive 2013. It looks like that your mdframed package is newer than the rest of your TeX installation. Put \listfiles as first line in your example and compare with my file list, which is at the end of the log file:

*File List*
book.cls 2007/10/19 v1.4h Standard LaTeX document class
bk10.clo 2007/10/19 v1.4h Standard LaTeX file (size option)
mdframed.sty 2013/07/01 1.9b: mdframed
kvoptions.sty 2011/06/30 v3.11 Key value format for package options (HO)
keyval.sty 1999/03/16 v1.13 key=value parser (DPC)
ltxcmds.sty 2011/11/09 v1.22 LaTeX kernel commands for general use (HO)
kvsetkeys.sty 2012/04/25 v1.16 Key value parser (HO)
infwarerr.sty 2010/04/08 v1.3 Providing info/warning/error messages (HO)
etexcmds.sty 2011/02/16 v1.5 Avoid name clashes with e-TeX commands (HO)
ifluatex.sty 2010/03/01 v1.3 Provides the ifluatex switch (HO)
xparse.sty 2013/11/19 v4609 L3 Experimental document command parser
expl3.sty 2013/11/19 v4610 L3 Experimental code bundle wrapper
l3names.sty 2012/12/07 v4346 L3 Namespace for primitives
l3bootstrap.sty 2013/07/28 v4581 L3 Experimental bootstrap code
etex.sty 1998/03/26 v2.0 eTeX basic definition package (PEB)
l3basics.sty 2013/07/28 v4581 L3 Basic definitions
l3expan.sty 2013/08/17 v4584 L3 Argument expansion
l3tl.sty 2013/09/16 v4592 L3 Token lists
l3seq.sty 2013/07/28 v4581 L3 Sequences and stacks
l3int.sty 2013/08/02 v4583 L3 Integers
l3quark.sty 2013/07/21 v4564 L3 Quarks
l3prg.sty 2013/08/25 v4587 L3 Control structures
l3clist.sty 2013/07/28 v4581 L3 Comma separated lists
l3token.sty 2013/08/25 v4587 L3 Experimental token manipulation
l3prop.sty 2013/07/28 v4581 L3 Property lists
l3msg.sty 2013/07/28 v4581 L3 Messages
l3file.sty 2013/10/13 v4596 L3 File and I/O operations
l3skip.sty 2013/07/28 v4581 L3 Dimensions and skips
l3keys.sty 2013/07/28 v4581 L3 Experimental key-value interfaces
l3fp.sty 2013/11/18 v4601 L3 Floating points
l3box.sty 2013/07/28 v4581 L3 Experimental boxes
l3coffins.sty 2012/09/09 v4212 L3 Coffin code layer
l3color.sty 2012/08/29 v4156 L3 Experimental color support
l3luatex.sty 2013/07/28 v4581 L3 Experimental LuaTeX-specific functions
l3candidates.sty 2013/11/18 v4602 L3 Experimental additions to l3kernel
ifpdf.sty 2011/01/30 v2.3 Provides the ifpdf switch (HO)
etoolbox.sty 2011/01/03 v2.1 e-TeX tools for LaTeX
zref-abspage.sty 2012/04/04 v2.24 Module abspage for zref (HO)
zref-base.sty 2012/04/04 v2.24 Module base for zref (HO)
kvdefinekeys.sty 2011/04/07 v1.3 Define keys (HO)
pdftexcmds.sty 2011/11/29 v0.20 Utility functions of pdfTeX for LuaTeX (HO)
auxhook.sty 2011/03/04 v1.3 Hooks for auxiliary files (HO)
atbegshi.sty 2011/10/05 v1.16 At begin shipout hook (HO)
needspace.sty 2010/09/12 v1.3d reserve vertical space
color.sty 2005/11/14 v1.0j Standard LaTeX Color (DPC)
color.cfg 2007/01/18 v1.5 color configuration of teTeX/TeXLive
pdftex.def 2011/05/27 v0.06d Graphics/color for pdfTeX
md-frame-0.mdf 2013/07/01\ 1.9b: md-frame-0
graphics.sty 2009/02/05 v1.0o Standard LaTeX Graphics (DPC,SPQR)
trig.sty 1999/03/16 v1.09 sin cos tan (DPC)
graphics.cfg 2010/04/23 v1.9 graphics configuration of TeX Live
epstopdf-base.sty 2010/02/09 v2.5 Base part for package epstopdf
grfext.sty 2010/08/19 v1.1 Manage graphics extensions (HO)
epstopdf-sys.cfg 2010/07/13 v1.3 Configuration of (r)epstopdf for TeX Live
supp-pdf.mkii
***********
0

As Herbert and egreg commented, the problem was the old version of Latex. I'm using Linux Mint 13 (Maya), which is an LTS version, so when i installed the Latex, I got the package 2009.

I removed texlive from my computer, added the it's repository manually by

    sudo apt-add-repository ppa:texlive-backports/ppa 

and then re-intalled it and got the version 2012. Now the package works fine.

Thank you for the answers!

0

I had the same problem, in my command line, I noticed:

LaTeX Warning: You have requested, on input line 74, version
           `2011/01/03' of package etoolbox,
           but only version
           `2009/08/06 v1.8 e-TeX tools for LaTeX'
           is available.

In case you cannot or don't want to reinstall your LaTeX distribution, you can just get a new version of etoolbox.sty from https://www.ctan.org/pkg/etoolbox?lang=en and put it in you project folder - mdframed will take it from there instead from the distribution installation...

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.